Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167576 - NullPointerException at org.netbeans.modules.projectimport.eclipse.core.UpgradableProject.getWorkspace
NullPointerException at org.netbeans.modules.projectimport.eclipse.core.Upgra...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Eclipse project importer
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 09:06 UTC by roelandmaes
Modified: 2009-07-21 09:58 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (685 bytes, text/plain)
2009-06-24 09:06 UTC, roelandmaes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description roelandmaes 2009-06-24 09:06:22 UTC
Build: NetBeans IDE 6.5.1 (Build 200903060201)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments:
GUEST: opening a project with a right mouse click

GUEST: Routine startup.  I click on Cancel when responding to a dialog that certain projects have unresolved dependencies.  Then I get the NullPointerException dialog

GUEST: Launching Netbeans

GUEST: One project group contained 17 imported eclipse projects, switched for another project group containing 1 imported eclipse project



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.projectimport.eclipse.core.UpgradableProject.getWorkspace(UpgradableProject.java:130)
        at org.netbeans.modules.projectimport.eclipse.core.UpdateAllProjects.resolveNewRequiredProjects(UpdateAllProjects.java:124)
        at org.netbeans.modules.projectimport.eclipse.core.UpdateAllProjects.update(UpdateAllProjects.java:221)
        at org.netbeans.modules.projectimport.eclipse.core.ProjectOpenHookImpl$RunnableImpl.run(ProjectOpenHookImpl.java:97)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
Comment 1 roelandmaes 2009-06-24 09:06:31 UTC
Created attachment 83979 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-06-24 09:06:47 UTC
This issue already has 11 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=145523
Comment 3 Jesse Glick 2009-06-24 21:25:10 UTC
Not sure how to reproduce, but can attempt a fix: core-main #c19b0facfb3f
Comment 4 Quality Engineering 2009-06-25 20:26:46 UTC
Integrated into 'main-golden', will be available in build *200906251410* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c19b0facfb3f
User: Jesse Glick <jglick@netbeans.org>
Log: Attempted fix of #167576: NPE.
Comment 5 Petr Blaha 2009-07-03 07:47:35 UTC
v.
Comment 6 pgebauer 2009-07-07 16:18:45 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/e72199072e4f
Comment 7 Jindrich Sedek 2009-07-21 09:58:14 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo